/*
    PocketCellar

    Copyright (C) 2002 George Staikos <staikos@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/



#ifndef _STATS_H
#define _STATS_H

#include <qglobal.h>

class Stats {
	public:
		Stats() {
			clear();
		}

		void clear() {
			_totalPrice = 0;
			_minPrice = 0xffffffff;
			_maxPrice = 0;
			_minScore = 0xffff;
			_maxScore = 0;
			_totalScore = 0;
			_totalAge = 0;
			_bottles = 0;
			_wines = 0;
			_minAge = 0xffff;
			_maxAge = 0;
			}
		float _totalPrice, _minPrice, _maxPrice;
		Q_UINT16 _minScore, _maxScore;
		Q_UINT32 _totalScore, _totalAge, _bottles, _wines;
		Q_UINT16 _minAge, _maxAge;

};


#endif

